Package: org.codehaus.groovy.runtime.m12n

## [Java] Class MetaInfExtensionModule

- org.codehaus.groovy.runtime.m12n.MetaInfExtensionModule

-     @SuppressWarnings("rawtypes")
      public class MetaInfExtensionModule
      extends SimpleExtensionModule

  A SimpleExtensionModule implementation which reads extension class metadata from META-INF.

  Since:
    2.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `MODULE_INSTANCE_CLASSES_KEY` |
    `static String` | `MODULE_STATIC_CLASSES_KEY` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<Class>` | `getInstanceMethodsExtensionClasses()`
    `` | `public List<Class>` | `getStaticMethodsExtensionClasses()`
    `` | `public static MetaInfExtensionModule` | `newModule(Properties properties, ClassLoader loader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleExtensionModule` | `getInstanceMethodsExtensionClasses, getMetaMethods, getStaticMethodsExtensionClasses`
    `class ExtensionModule` | `getMetaMethods, getName, getVersion, toString`

- - ### Field Detail

    - #### public static final String MODULE_INSTANCE_CLASSES_KEY

    - #### public static final String MODULE_STATIC_CLASSES_KEY

  - ### Method Detail

    - #### @Override
      public List<Class> getInstanceMethodsExtensionClasses()

    - #### @Override
      public List<Class> getStaticMethodsExtensionClasses()

    - #### public static MetaInfExtensionModule newModule(Properties properties, ClassLoader loader)